Bug 732421 - Guest will BSOD if boot from Windows Recovery Console after conversion
Summary: Guest will BSOD if boot from Windows Recovery Console after conversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-v2v
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Booth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 733005
TreeView+ depends on / blocked
 
Reported: 2011-08-22 12:21 UTC by yuping zhang
Modified: 2011-12-06 14:49 UTC (History)
5 users (show)

Fixed In Version: virt-v2v-0.8.3-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 733005 (view as bug list)
Environment:
Last Closed: 2011-12-06 14:49:51 UTC


Attachments (Terms of Use)
BSOD for WRC (26.83 KB, image/png)
2011-08-22 12:21 UTC, yuping zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1615 normal SHIPPED_LIVE Low: virt-v2v security and bug fix update 2011-12-06 00:51:05 UTC

Description yuping zhang 2011-08-22 12:21:04 UTC
Description of problem:
Install Windows Recovery Console to windows OS and convert it,then boot from WRC,it will BSOD.


Version-Release number of selected component (if applicable):
virt-v2v-0.8.3-1.el6.x86_64
libvirt-0.9.4-4.el6.x86_64
libguestfs-1.7.17-36.el6.x86_64
virtio-win-1.3.3-0.el6.norach 

How reproducible:
always

Steps to Reproduce:
1.Install Windows Recovery Console to Windows OS,refer to link: http://support.microsoft.com/kb/307654#howtoinstallrc
2.Convert it
# virt-v2v -ic qemu+ssh://10.66.72.122/system -os default -b rhevm winxp-32b-kvm-RecoveryConsole
winxp-32b-raw-kvm-Recovery.img: 100% [=====================================================]D 0h02m16s
virt-v2v: WARNING: There is no virtio net driver available in the directory specified for this version of Windows. The guest will be configured with a rtl8139 network adapter, but no driver will be installed for it. If the rtl8139 driver is not already installed in the guest, you must install it manually after conversion.
virt-v2v: winxp-32b-kvm-RecoveryConsole configured with virtio storage only.
3.Boot the guest from Windows Recovery Console
4.Delete WRC and  re-install it

Actual results:
For step 3:
It will BSOD after select boot from WRC
For step 4:
I have tried winxp-32b and win2k3-64b,
    for winxp-32b:BSOD after re-installed it
    for win2k3-64b:It works well after re-installed WRC

Expected results:
It will not BSOD,or document this issue.
After delete the WRC and re-install it,WRC should be works well.

Additional info:

Comment 1 yuping zhang 2011-08-22 12:21:40 UTC
Created attachment 519277 [details]
BSOD for WRC

Comment 3 Matthew Booth 2011-08-23 09:02:35 UTC
This can be resolved in Win2k3 R2 by re-installed WRC. I'm going to test all other versions and make a recommendation for a doc update.

Comment 4 Matthew Booth 2011-08-24 10:33:16 UTC
To follow up on this:

Windows XP 32bit doesn't seem to support the recovery console on a VirtIO system. It can't even be enabled on a fresh system. There's nothing virt-v2v can do about this.

Windows XP 64bit and Windows 2003 (32 and 64bit): the recovery console works fine after it is re-installed.

Re-installing the recovery console is the same procedure as installing it in the first place:

1. Present Windows installation CD to the guest
2. Start->Run "d:\(i386|amd64)\winnt32.exe /cmdcons"

I don't plan to fix it in virt-v2v, although we ought to document it.

Comment 5 Matthew Booth 2011-08-25 10:55:58 UTC
I've pushed an update to the man page upstream. I've opened bug 733005 to track an update to the V2V guide.

Comment 8 yuping zhang 2011-08-29 07:21:20 UTC
Verify this issue with virt-v2v-0.8.3-4.el6

#man virt-v2v
...
Windows Recovery Console
       virt-v2v does not support conversion of the Windows Recovery Console. If a guest has a recovery console installed and VirtIO was enabled during conversion,
       attempting to boot the recovery console will result in a BSOD.

       Windows XP x86 does not support the Windows Recovery Console on VirtIO systems, so there is no resolution to this. However, on Windows XP AMD64 and Windows 2003
       (x86 and AMD64), the recovery console can be re-installed after conversion. The re-installation procedure is the same as the initial installation procedure. It is
       not necessary to remove the recovery console first.  Following re-installation, the recovery console will work as intended.
...

So change the bug status to VERIFIED.

Comment 9 errata-xmlrpc 2011-12-06 14:49:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1615.html


Note You need to log in before you can comment on or make changes to this bug.